devel/nss - The NetBSD Packages Collection

Libraries to support development of security-enabled applications

Network Security Services (NSS) is a set of libraries designed to support
cross-platform development of security-enabled client and server applications.
Applications built with NSS can support SSL v3, TLS, PKCS #5, PKCS #7,
PKCS #11, PKCS #12, S/MIME, X.509 v3 certificates, and other security
standards.

Build dependencies

pkgtools/cwrappers devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

devel/nspr devel/nspr

Available binary packages

aarch64:nss-3.53.1.tgz(NetBSD 9.0)
aarch64:nss-3.57.tgz(NetBSD 9.0)
aarch64:nss-3.60.tgz(NetBSD 9.0)
alpha:nss-3.60.tgz(NetBSD 9.0)
alpha:nss-3.53.1.tgz(NetBSD 9.0)
alpha:nss-3.57.tgz(NetBSD 9.0)
earm:nss-3.57.tgz(NetBSD 9.0)
earm:nss-3.60.tgz(NetBSD 9.0)
earmv6hf:nss-3.60.tgz(NetBSD 9.0)
earmv6hf:nss-3.53.1.tgz(NetBSD 9.0)
earmv6hf:nss-3.57.tgz(NetBSD 9.0)
earmv6hf:nss-3.60.tgz(NetBSD 9.0)
earmv7hf:nss-3.60.tgz(NetBSD 8.0)
earmv7hf:nss-3.53.1.tgz(NetBSD 8.0)
earmv7hf:nss-3.57.tgz(NetBSD 8.0)
earmv7hf:nss-3.60.tgz(NetBSD 8.0)
earmv7hf:nss-3.60.tgz(NetBSD 9.0)
earmv7hf:nss-3.53.1.tgz(NetBSD 9.0)
earmv7hf:nss-3.57.tgz(NetBSD 9.0)
earmv7hf:nss-3.60.tgz(NetBSD 9.0)
earmv7hf:nss-3.60.tgz(NetBSD 9.0)
i386:nss-3.53.1.tgz(NetBSD 8.0)
i386:nss-3.57.tgz(NetBSD 8.0)
i386:nss-3.60.tgz(NetBSD 8.0)
i386:nss-3.53.1.tgz(NetBSD 9.0)
i386:nss-3.57.tgz(NetBSD 9.0)
i386:nss-3.60.tgz(NetBSD 9.0)
m68k:nss-3.57.tgz(NetBSD 9.0)
m68k:nss-3.60.tgz(NetBSD 9.0)
mips64eb:nss-3.57.tgz(NetBSD 9.0)
mips64eb:nss-3.60.tgz(NetBSD 9.0)
mipsel:nss-3.60.tgz(NetBSD 9.0)
powerpc:nss-3.60.tgz(NetBSD 8.0)
powerpc:nss-3.57.tgz(NetBSD 8.0)
powerpc:nss-3.57.tgz(NetBSD 9.0)
powerpc:nss-3.53.1.tgz(NetBSD 9.0)
sparc64:nss-3.60.tgz(NetBSD 9.0)
sparc64:nss-3.53.1.tgz(NetBSD 9.0)
sparc64:nss-3.57.tgz(NetBSD 9.0)
sparc:nss-3.57.tgz(NetBSD 9.0)
sparc:nss-3.53.1.tgz(NetBSD 9.0)
sparc:nss-3.60.tgz(NetBSD 9.0)
x86_64:nss-3.59.tgz(NetBSD 9.0)
x86_64:nss-3.60.tgz(NetBSD 9.0)
x86_64:nss-3.61.tgz(NetBSD 9.0)
x86_64:nss-3.57.tgz(NetBSD 9.0)
x86_64:nss-3.57.tgz(NetBSD 8.0)
x86_64:nss-3.53.1.tgz(NetBSD 8.0)
x86_64:nss-3.60.tgz(NetBSD 8.0)
x86_64:nss-3.53.1.tgz(NetBSD 9.0)
x86_64:nss-3.57.tgz(NetBSD 9.0)
x86_64:nss-3.60.tgz(NetBSD 9.0)
x86_64:nss-3.61.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]